org.eclipse.january.metadata

## Interface ARPESMetadata

- All Superinterfaces:
    Cloneable, MetadataType, Serializable

      public interface ARPESMetadata
      extends MetadataType

  This metadata describes ARPES-related information

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ILazyDataset` | `getAnalyserAngles()`
    `double` | `getAngleAxisGlobalOffset()`
    `ILazyDataset` | `getAzimuthalAngles()`
    `ILazyDataset` | `getBindingEnergies()`
    `double` | `getEnergyAxisGlobalOffset()`
    `ILazyDataset` | `getEnergyAxisOffset()`
    `ILazyDataset` | `getKineticEnergies()`
    `double` | `getPassEnergy()`
    `ILazyDataset` | `getPhotoelectronMomentum()`
    `double` | `getPhotonEnergy()`
    `ILazyDataset` | `getPolarAngles()`
    `double` | `getTemperature()`
    `ILazyDataset` | `getTiltAngles()`
    `double` | `getWorkFunction()`
    `void` | `initialize()` Initialize

    - ### Methods inherited from interface org.eclipse.january.metadata.MetadataType

      `clone`

- - ### Method Detail

    - #### initialize

          void initialize()

      Initialize

    - #### getPhotonEnergy

          double getPhotonEnergy()

    - #### getWorkFunction

          double getWorkFunction()

    - #### getPassEnergy

          double getPassEnergy()

    - #### getTemperature

          double getTemperature()

    - #### getKineticEnergies

          ILazyDataset getKineticEnergies()

    - #### getAnalyserAngles

          ILazyDataset getAnalyserAngles()

    - #### getPolarAngles

          ILazyDataset getPolarAngles()

    - #### getTiltAngles

          ILazyDataset getTiltAngles()

    - #### getAzimuthalAngles

          ILazyDataset getAzimuthalAngles()

    - #### getEnergyAxisGlobalOffset

          double getEnergyAxisGlobalOffset()

    - #### getAngleAxisGlobalOffset

          double getAngleAxisGlobalOffset()

    - #### getEnergyAxisOffset

          ILazyDataset getEnergyAxisOffset()

    - #### getBindingEnergies

          ILazyDataset getBindingEnergies()

    - #### getPhotoelectronMomentum

          ILazyDataset getPhotoelectronMomentum()

Copyright © 2017. All rights reserved.